Bug 165723 - Wrong symbols with some fonts when using AMS Math style
Summary: Wrong symbols with some fonts when using AMS Math style
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: tetex   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Jindrich Novy
QA Contact: David Lawrence
URL:
Whiteboard: RHEL3U7NAK
Keywords:
Depends On:
Blocks: 190430
TreeView+ depends on / blocked
 
Reported: 2005-08-11 15:45 UTC by Bastien Nocera
Modified: 2013-07-02 23:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-09 07:19:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
file.tex (434 bytes, patch)
2005-08-11 15:45 UTC, Bastien Nocera
no flags Details | Diff
Screenshot-file.dvi.png (12.64 KB, image/png)
2005-08-11 15:46 UTC, Bastien Nocera
no flags Details

Description Bastien Nocera 2005-08-11 15:45:44 UTC
tetex-latex-1.0.7-67.7 with tetex-fonts-1.0.7-67.7

Run "latex file.tex" and check the generated "file.dvi". It will show a vector
sign as expected on the first and all lines, but a "ã" (a + tilde) in the middle
line.

Comment 1 Bastien Nocera 2005-08-11 15:45:47 UTC
Created attachment 117650 [details]
file.tex

Comment 2 Bastien Nocera 2005-08-11 15:46:39 UTC
Created attachment 117651 [details]
Screenshot-file.dvi.png

Comment 3 Jindrich Novy 2005-08-18 07:29:59 UTC
I receive a sane output when I don't use amsmath.sty. The bug is probably there.

Comment 4 Jindrich Novy 2005-08-18 12:44:31 UTC
Reported upstream:
http://thread.gmane.org/gmane.comp.tex.tetex.general/951

Comment 5 Jindrich Novy 2005-09-27 08:40:16 UTC
Reported this to LaTeX upstream as well. I'll add a reference as soon as I'll
receive confirmation email from LaTeX people.

Comment 6 Jindrich Novy 2005-09-27 13:29:56 UTC
The bug is now registered under codename amslatex/3812 and I got this reply:

this is a known problem, and has been reported before to
latex-bugs:

 - 3416: Amsmath's \mathsf \vec prints a tilde accent
 - 3683: Wrong output of \vec in supscripts

we plan to deal with these all at once, and will do so
under #3416.  for this reason, we will close #3812.
however, i've posted a request to keep you informed when
a fix is made.

we do not yet have a solution; a workaround is to create
explicit commands to produce the vector in the proper
font, for example:

  \newcommand{\romvec}[1]{\text{$\vec{\mathrm#1}$}}
  \newcommand{\boldvec}[1]{\text{\boldmath$\vec{\mathbf#1}$}}

Barbara Beeton
Technical Support


Note You need to log in before you can comment on or make changes to this bug.